Page MenuHome

Pressure sensitivity stops working after I open "Edit -> Preferences" window (Veikk a15 tablet)
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: Radeon (TM) RX 470 Graphics ATI Technologies Inc. 4.5.13586 Core Profile Context 20.1.3 26.20.15015.1007

Blender Version
Broken: version: 2.82 (sub 7), branch: master, commit date: 2020-03-12 05:06, hash: rB375c7dc4caf4

Short description of error
I am using a Veikk a15 tablet. Pressure sensitive stops working after I open the "Edit -> Preferences" window. Now I work with version 2.82a, but I found the same problem in 2.79 - 2.83a versions. I tried changing the "Preferences -> Input -> Tablet API" settings, but that didn't help.

Exact steps for others to reproduce the error
I open the program in sculpting mode or general and pressure sensitivity works well.

If I open the "Edit -> Preferences" window, then the pressure sensitivity stops working until I restart the program.

Also, pressure sensitivity stops working after opening the save window (ctrl + s).

Event Timeline

Maxim (Maksim) renamed this task from Pressure sensitivity not working (veikk a15 tablet) to Pressure sensitivity stops working after I open "Edit -> Preferences" window (Veikk a15 tablet).Apr 12 2020, 12:23 PM

Could you open a second window and check if pressure sensitivity works in it or not?

Maxim (Maksim) added a comment.EditedApr 15 2020, 12:53 AM

I tried next steps:

  1. Opened the first Blender window -> It works pressure sensitive.
  1. Opened "Preferences" window -> Pressure sensitivity has stopped working.
  1. Reopened the first Blender window.
  1. Opened "Save(ctrl + s)" window -> Pressure sensitivity has stopped working.
  1. Closed the "Preferences" and "Save window" of the first Blender window
  1. Opened the second Blender window -> It works pressure sensitivity, but only in the second window.
  1. Opened "Preferences" of the second Blender window -> Pressure sensitivity works, but only in the second window.
  1. Opened the "Save window" of the second Blender window -> Pressure sensitivity works, but only in the second window.

Bottom line: In the second window, pressure sensitivity works without problems.
Video: https://youtu.be/ZKcfYV1evbA

but...

If I do not close the "Preferences" of the first Blender window, and then open the second Blender window -> The second window reveals problems from steps 2 and 4.
Video: https://youtu.be/8O3ETA58crw

I also repeated the algorithm, without performing steps 2-5 -> Pressure sensitivity stops working after opening "Preferences" or "Save" windows in the second Blender window.
Video: https://youtu.be/PndwQwzKs7A

This comment was removed by Maxim (Maksim).

@Maxim (Maksim) Could you recreate the issue in this build and copy the resulting output to the system console here?

Maxim (Maksim) added a comment.EditedApr 25 2020, 7:27 AM

@Nicholas Rishel (nicholas_rishel) Sorry, but I can't run this build, becouse I don't have msvcp140D.dll, runtime140D.dll, runtime140_1D.dll, I think, for this build need to have VC++ Debug Redistributable, but I don't have it.

@Nicholas Rishel (nicholas_rishel) Sorry, but I can't run this build, becouse I don't have msvcp140D.dll, runtime140D.dll, runtime140_1D.dll, I think, for this build need to have VC++ Debug Redistributable, but I don't have it.

Yep, my bad. Here's a release build of the same.

Maxim (Maksim) added a comment.EditedApr 25 2020, 5:45 PM

@Nicholas Rishel (nicholas_rishel) I checked.

Console log:

PS C:\Users\3d\Desktop\d095fa7aba3d4ab3bf5808dd94c970fd\bin> .\blender.exe                                                                                                                                                                                                     Read prefs: C:\Users\3d\AppData\Roaming\Blender Foundation\Blender\2.90\config\userpref.blend
lcOutOrgX: -1920, lcOutOrgY: 0, lcOutExtX: 3840, lcOutExtY: -1080
left: -1920, top: 0, width: 3840, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
updateWintab enable: 1, overlap: 1
found bundled python: C:\Users\3d\Desktop\d095fa7aba3d4ab3bf5808dd94c970fd\bin\2.90\python
updateWintab enable: 1, overlap: 0
processWintabProximityEvent inRange: 1
updateWintab enable: 1, overlap: 1
unhandled system button
processWintabProximityEvent inRange: 1
wintabMouseToGhost left click              // I checked pressure sensitivity, it works
wintabMouseToGhost left click
wintab button down
wintab button associated to system button
1 system buttons
processWintabProximityEvent inRange: 1
wintabMouseToGhost left click
wintab button up
wintab button associated to system button
0 system buttons
wintabMouseToGhost left click
wintab button down
wintab button associated to system button
1 system buttons
processWintabProximityEvent inRange: 1
wintabMouseToGhost left click
wintab button up
wintab button associated to system button
0 system buttons
unhandled system button               // I opened "Preferences" window
processWintabProximityEvent inRange: 1
updateWintab enable: 1, overlap: 0
lcOutOrgX: -1920, lcOutOrgY: 0, lcOutExtX: 3840, lcOutExtY: -1080
left: -1920, top: 0, width: 3840, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
updateWintab enable: 1, overlap: 1
updateWintab enable: 1, overlap: 0
updateWintab enable: 1, overlap: 1
processWintabProximityEvent inRange: 1                // I tried to check pressure sensitivity, it stoped working
processWintabProximityEvent inRange: 1                // I tried again
processWintabProximityEvent inRange: 1                // and again
processWintabProximityEvent inRange: 1                // and again

@Maxim (Maksim) same thing this build, added more logging information.

Maxim (Maksim) added a comment.EditedApr 25 2020, 10:28 PM

@Nicholas Rishel (nicholas_rishel) Done

Console log:

PS C:\Users\3d\Desktop\3e2c7f5f13694852aefc6a7048084fd9\bin> .\blender.exe                                                                                                                    Read prefs: C:\Users\3d\AppData\Roaming\Blender Foundation\Blender\2.90\config\userpref.blend
lcOutOrgX: -1920, lcOutOrgY: 0, lcOutExtX: 3840, lcOutExtY: -1080
left: -1920, top: 0, width: 3840, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
e115a updateWintab enable: 1, overlap: 1
found bundled python: C:\Users\3d\Desktop\3e2c7f5f13694852aefc6a7048084fd9\bin\2.90\python
e115a updateWintab enable: 1, overlap: 0
e115a WT_CSRCHANGE
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 5, hiword (!0 enter !0 leave hardware): 0
e115a processWintabProximityEvent inRange: 1
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e115a processWintabProximityEvent inRange: 1
e115a updateWintab enable: 1, overlap: 1
e115a unhandled system button
e115a WT_CSRCHANGE
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 5, hiword (!0 enter !0 leave hardware): 0
e115a processWintabProximityEvent inRange: 1
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e115a processWintabProximityEvent inRange: 1
e115a wintabMouseToGhost left click           // I checked pressure sensitivity, it works
e115a wintab button up
e115a 0 system buttons
e115a unhandled system button
e115a wintabMouseToGhost left click
e115a wintab button down
e115a 1 system buttons
e115a WT_CSRCHANGE
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 5, hiword (!0 enter !0 leave hardware): 0
e115a processWintabProximityEvent inRange: 1
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e115a processWintabProximityEvent inRange: 1
e115a wintabMouseToGhost left click
e115a wintab button up
e115a wintab button associated to system button
e115a 0 system buttons
e115a wintabMouseToGhost left click
e115a wintab button down
e115a wintab button associated to system button
e115a 1 system buttons
e115a WT_CSRCHANGE
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 5, hiword (!0 enter !0 leave hardware): 0
e115a processWintabProximityEvent inRange: 1
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e115a processWintabProximityEvent inRange: 1
e115a wintabMouseToGhost left click
e115a wintab button up
e115a wintab button associated to system button
e115a 0 system buttons
e115a unhandled system button                  // I opened "Preferences" window
e115a wintabMouseToGhost left click
e115a wintab button down
e115a 1 system buttons
e115a WT_CSRCHANGE
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 5, hiword (!0 enter !0 leave hardware): 0
e115a processWintabProximityEvent inRange: 1
e115a WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e115a processWintabProximityEvent inRange: 1
e115a wintabMouseToGhost left click
e115a wintab button up
e115a wintab button associated to system button
e115a 0 system buttons
e115a updateWintab enable: 1, overlap: 0
lcOutOrgX: -1920, lcOutOrgY: 0, lcOutExtX: 3840, lcOutExtY: -1080
left: -1920, top: 0, width: 3840, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
100f22 updateWintab enable: 1, overlap: 1
100f22 updateWintab enable: 1, overlap: 0
e115a updateWintab enable: 1, overlap: 1
100f22 WT_CSRCHANGE           // I tried to check pressure sensitivity, it stoped working
100f22 WT_PROXIMITY loword (!0 enter 0 leave context): 6, hiword (!0 enter !0 leave hardware): 0
100f22 processWintabProximityEvent inRange: 1
100f22 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
100f22 processWintabProximityEvent inRange: 1
100f22 WT_CSRCHANGE                // I tried again
100f22 WT_PROXIMITY loword (!0 enter 0 leave context): 6, hiword (!0 enter !0 leave hardware): 0
100f22 processWintabProximityEvent inRange: 1
100f22 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
100f22 processWintabProximityEvent inRange: 1
100f22 WT_CSRCHANGE                // and again
100f22 WT_PROXIMITY loword (!0 enter 0 leave context): 6, hiword (!0 enter !0 leave hardware): 0
100f22 processWintabProximityEvent inRange: 1
100f22 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
100f22 processWintabProximityEvent inRange: 1
100f22 WT_CSRCHANGE                // and again
100f22 WT_PROXIMITY loword (!0 enter 0 leave context): 6, hiword (!0 enter !0 leave hardware): 0
100f22 processWintabProximityEvent inRange: 1
100f22 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
100f22 processWintabProximityEvent inRange: 1

If I close the Preferences window, then no logs are displayed in the console, after using Pen. The program seems to treat my pen like a mouse.

That's exactly what's happening. This is a driver bug and I see at least two issues. 1. it's not respecting a change in overlap order and instead continues delivering proximity events to the most recently opened context, 2. the information provided with WT_PROXIMITY events are possibly non-complaint to the wintab spec.

I'll have to think a bit more on this but an obvious solution that doesn't add complications isn't popping up in my mind.

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Confirmed.Tue, Apr 28, 1:50 PM
Germano Cavalcante (mano-wii) changed the subtype of this task from "Report" to "Bug".

https://developer.blender.org/T76181 sorry i occasionally created new task with similar trouble how to remove it or merge with this one?

@Maxim (Maksim) @Roman Didckovscky (MeguMeme)

Could you repeat the bug in this build and copy the system console here? I added additional logging to figure out what Veikk is doing with Wintab contexts.

Yeah i did recreate it
Read prefs: C:\Users\╨а╨╛╨╝╨░\AppData\Roaming\Blender Foundation\Blender\2.90\config\userpref.blend
lcOutOrgX: 0, lcOutOrgY: 0, lcOutExtX: 1920, lcOutExtY: -1080
left: 0, top: 0, width: 1920, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
e05ba 30 max contexts, 3 open contexts
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
e05ba updateWintab enable: 1, overlap: 1
found bundled python: D:\Programs\blender-2.90.0-git20200424.6ea5a4d7e766-windows64\2.90\python
e05ba WT_CTXOPEN
e05ba WT_CTXOVERLAP CXS_ONTOP
e05ba WT_CTXOVERLAP CXS_ONTOP
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba updateWintab enable: 1, overlap: 0
e05ba WT_CTXOVERLAP CXS_OBSCURED
e05ba updateWintab enable: 1, overlap: 1
e05ba WT_CTXOVERLAP CXS_ONTOP
e05ba OS button down
Image not found
e05ba OS button up
Image not found
Image not found
Image not found
Image not found
Image not found
Image not found
Image not found
e05ba OS button down
e05ba OS button up
Image not found
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba OS button down
e05ba wintabMouseToGhost left click
e05ba wintab button down ... associated to system button
e05ba 1 system buttons
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba wintabMouseToGhost left click
e05ba wintab button up ... but no system button
e05ba 0 system buttons
e05ba OS button up
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 0
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba OS button down
e05ba wintabMouseToGhost left click
e05ba wintab button down ... associated to system button
e05ba 1 system buttons
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba wintabMouseToGhost left click
e05ba wintab button up ... but no system button
e05ba 0 system buttons
e05ba OS button up
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 0
e05ba WT_PACKET
e05ba OS button down
e05ba OS button up
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba OS button down
e05ba wintabMouseToGhost left click
e05ba wintab button down ... associated to system button
e05ba 1 system buttons
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba wintabMouseToGhost left click
e05ba wintab button up ... but no system button
e05ba 0 system buttons
e05ba OS button up
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 0
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba OS button down
e05ba wintabMouseToGhost left click
e05ba wintab button down ... associated to system button
e05ba 1 system buttons
e05ba wintabMouseToGhost left click
e05ba wintab button up ... but no system button
e05ba 0 system buttons
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba OS button up
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 0
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 0
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba OS button down
e05ba wintabMouseToGhost left click
e05ba wintab button down ... associated to system button
e05ba 1 system buttons
e05ba WT_CSRCHANGE
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 1
e05ba wintabMouseToGhost left click
e05ba wintab button up ... but no system button
e05ba 0 system buttons
e05ba OS button up
e05ba WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
e05ba processWintabProximityEvent inRange: 0
e05ba WT_PACKET
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba updateWintab enable: 1, overlap: 0
lcOutOrgX: 0, lcOutOrgY: 0, lcOutExtX: 1920, lcOutExtY: -1080
left: 0, top: 0, width: 1920, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
6065a 30 max contexts, 4 open contexts
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
6065a updateWintab enable: 1, overlap: 1
e05ba WT_CTXOVERLAP CXS_OBSCURED
6065a WT_CTXOPEN
6065a WT_CTXOVERLAP CXS_ONTOP
6065a WT_CTXOVERLAP CXS_ONTOP
e05ba updateWintab enable: 1, overlap: 1
e05ba WT_CTXOVERLAP CXS_ONTOP
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba OS button down
e05ba OS button up
e05ba updateWintab enable: 1, overlap: 0
e05ba WT_CTXOVERLAP CXS_OBSCURED

PS C:\Users\3d\Desktop\6eab188d36df444b82fed54be7106f81\blender-2.90.0-git20200424.6ea5a4d7e766-windows64> .\blender.exe
Read prefs: C:\Users\3d\AppData\Roaming\Blender Foundation\Blender\2.90\config\userpref.blend
lcOutOrgX: -1920, lcOutOrgY: 0, lcOutExtX: 3840, lcOutExtY: -1080
left: -1920, top: 0, width: 3840, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
a13ea 30 max contexts, 6 open contexts
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
a13ea updateWintab enable: 1, overlap: 1
found bundled python: C:\Users\3d\Desktop\6eab188d36df444b82fed54be7106f81\blender-2.90.0-git20200424.6ea5a4d7e766-windows64\2.90\python
a13ea WT_CTXOPEN
a13ea WT_CTXOVERLAP CXS_ONTOP
a13ea WT_CTXOVERLAP CXS_ONTOP
a13ea updateWintab enable: 1, overlap: 0
a13ea WT_CTXOVERLAP CXS_OBSCURED
a13ea WT_CSRCHANGE
a13ea WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
a13ea processWintabProximityEvent inRange: 1
a13ea WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
a13ea processWintabProximityEvent inRange: 0
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_CSRCHANGE
a13ea WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
a13ea processWintabProximityEvent inRange: 1
a13ea updateWintab enable: 1, overlap: 1
a13ea OS button down
a13ea unhandled system button
a13ea WT_CTXOVERLAP CXS_ONTOP
a13ea WT_CSRCHANGE
a13ea WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
a13ea processWintabProximityEvent inRange: 1
a13ea OS button up
a13ea OS button down
a13ea wintabMouseToGhost left click
a13ea wintab button up ... but no system button
a13ea 0 system buttons
a13ea unhandled system button                      // I opened "Preferences" window
a13ea wintabMouseToGhost left click
a13ea wintab button down ... but no system button
a13ea 1 system buttons
a13ea WT_CSRCHANGE
a13ea WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
a13ea processWintabProximityEvent inRange: 1
a13ea OS button up
a13ea wintabMouseToGhost left click
a13ea wintab button up ... associated to system button
a13ea 0 system buttons
a13ea OS button down
a13ea wintabMouseToGhost left click
a13ea wintab button down ... associated to system button
a13ea 1 system buttons
a13ea WT_CSRCHANGE
a13ea WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
a13ea processWintabProximityEvent inRange: 1
a13ea OS button up
a13ea wintabMouseToGhost left click
a13ea wintab button up ... associated to system button
a13ea 0 system buttons
a13ea OS button down
a13ea wintabMouseToGhost left click
a13ea wintab button down ... associated to system button
a13ea 1 system buttons
a13ea WT_CSRCHANGE
a13ea WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
a13ea processWintabProximityEvent inRange: 1
a13ea OS button up
a13ea wintabMouseToGhost left click
a13ea wintab button up ... associated to system button
a13ea 0 system buttons
a13ea updateWintab enable: 1, overlap: 0
lcOutOrgX: -1920, lcOutOrgY: 0, lcOutExtX: 3840, lcOutExtY: -1080
left: -1920, top: 0, width: 3840, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
9b115e 30 max contexts, 7 open contexts
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
9b115e updateWintab enable: 1, overlap: 1
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_CTXOVERLAP CXS_OBSCURED
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
a13ea WT_PACKET
9b115e WT_CTXOPEN
9b115e WT_CTXOVERLAP CXS_ONTOP
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_CTXOVERLAP CXS_ONTOP
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_PACKET
9b115e WT_CSRCHANGE
9b115e WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
9b115e processWintabProximityEvent inRange: 1
a13ea updateWintab enable: 1, overlap: 1
a13ea WT_CTXOVERLAP CXS_ONTOP
a13ea OS button down // I tried to check pressure sensitivity, it stoped working
a13ea OS button up
a13ea OS button down // and again
a13ea OS button up
a13ea OS button down
a13ea OS button up
a13ea OS button down
a13ea OS button up

Does pressure stop working if you leave the preferences window open?

Yeah tried to leave preferences window open pressure still stops working here is log in case you need this
Read prefs: C:\Users\╨а╨╛╨╝╨░\AppData\Roaming\Blender Foundation\Blender\2.90\config\userpref.blend
lcOutOrgX: 0, lcOutOrgY: 0, lcOutExtX: 1920, lcOutExtY: -1080
left: 0, top: 0, width: 1920, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
d0338 30 max contexts, 3 open contexts
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
d0338 updateWintab enable: 1, overlap: 1
found bundled python: D:\Programs\blender-2.90.0-git20200424.6ea5a4d7e766-windows64\2.90\python
d0338 WT_CTXOPEN
d0338 WT_CTXOVERLAP CXS_ONTOP
d0338 WT_CTXOVERLAP CXS_ONTOP
d0338 OS button down
d0338 OS button up
d0338 OS button down
d0338 OS button up
d0338 OS button down
d0338 OS button up
d0338 updateWintab enable: 1, overlap: 0
d0338 WT_CTXOVERLAP CXS_OBSCURED
d0338 updateWintab enable: 1, overlap: 1
d0338 WT_CTXOVERLAP CXS_ONTOP
d0338 OS button down
Image not found
d0338 OS button up
Image not found
Image not found
Image not found
Image not found
Image not found
Image not found
Image not found
Image not found
Image not found
d0338 OS button down
d0338 OS button up
Image not found
d0338 OS button down
d0338 OS button up
d0338 OS button down
d0338 OS button up
d0338 OS button down
d0338 OS button up
d0338 OS button down
d0338 OS button up
d0338 OS button down
d0338 OS button up
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 0
d0338 OS button down
d0338 OS button up
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 wintabMouseToGhost left click
d0338 wintab button up ... but no system button
d0338 0 system buttons
d0338 OS button up
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 OS button up
d0338 wintabMouseToGhost left click
d0338 wintab button up ... associated to system button
d0338 0 system buttons
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 OS button up
d0338 wintabMouseToGhost left click
d0338 wintab button up ... associated to system button
d0338 0 system buttons
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 0
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 wintabMouseToGhost left click
d0338 wintab button up ... but no system button
d0338 0 system buttons
d0338 OS button up
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 0
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 OS button up
d0338 wintabMouseToGhost left click
d0338 wintab button up ... associated to system button
d0338 0 system buttons
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 0
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 OS button up
d0338 wintabMouseToGhost left click
d0338 wintab button up ... associated to system button
d0338 0 system buttons
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 wintabMouseToGhost left click
d0338 wintab button up ... but no system button
d0338 0 system buttons
d0338 OS button up
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 wintabMouseToGhost left click
d0338 wintab button up ... but no system button
d0338 0 system buttons
d0338 OS button up
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 wintabMouseToGhost left click
d0338 wintab button up ... but no system button
d0338 0 system buttons
d0338 OS button up
d0338 OS button down
d0338 wintabMouseToGhost left click
d0338 wintab button down ... associated to system button
d0338 1 system buttons
d0338 WT_CSRCHANGE
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 1
d0338 OS button up
d0338 wintabMouseToGhost left click
d0338 wintab button up ... associated to system button
d0338 0 system buttons
d0338 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
d0338 processWintabProximityEvent inRange: 0
d0338 OS button down
d0338 OS button up
d0338 OS button down
d0338 OS button up
d0338 updateWintab enable: 1, overlap: 0
lcOutOrgX: 0, lcOutOrgY: 0, lcOutExtX: 1920, lcOutExtY: -1080
left: 0, top: 0, width: 1920, height: 1080
initializeWintab numDevices: 1
initializeWintab maxPressure: 8191
initializeWintab maxAzimuth: 3600, maxAltitude: 900
2b0630 30 max contexts, 4 open contexts
initializeWintab queueSize: 500, queueSizeGet: 500
initializeWintab cursor 0 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 1 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
initializeWintab cursor 2 buttons
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
1, 4, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
2b0630 updateWintab enable: 1, overlap: 1
d0338 WT_CTXOVERLAP CXS_OBSCURED
2b0630 WT_CTXOPEN
2b0630 WT_CTXOVERLAP CXS_ONTOP
2b0630 WT_CTXOVERLAP CXS_ONTOP
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
2b0630 updateWintab enable: 1, overlap: 0
d0338 updateWintab enable: 1, overlap: 1
d0338 OS button down
2b0630 WT_CTXOVERLAP CXS_OBSCURED
d0338 WT_CTXOVERLAP CXS_ONTOP
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_PACKET
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button up
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 0
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button down
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button up
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 0
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 0
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button down
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button up
d0338 OS button down
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button up
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 0
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button down
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button up
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 0
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button down
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button up
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 0
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button down
2b0630 WT_CSRCHANGE
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 1, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 1
d0338 OS button up
2b0630 WT_PROXIMITY loword (!0 enter 0 leave context): 0, hiword (!0 enter !0 leave hardware): 1
2b0630 processWintabProximityEvent inRange: 0
d0338 OS button down
d0338 OS button up
d0338 updateWintab enable: 1, overlap: 0
d0338 WT_CTXOVERLAP CXS_OBSCURED

Hi! I have exactly the same issue. Mine is a Veikk A30.

Thanks for the hard work <3

im rly sorry if bother, but any updates?

@Maxim (Maksim) @Moisés Herrera (Inferus) @Roman Didckovscky (MeguMeme)
What driver version are you using? I ask because this issue looks very similar to a bug reported in GIMP here. Someone in that thread reported contacting Veikk and getting a new driver version 2.0.0.0 which fixed the issue.

To be clear, I believe this is a driver problem which should be solved on Veikk's side. Time permitting I might reach out to them to report the issue.

i downloaded latest driver version from the site(2.0.0.3) and problem still not fixed i also will try to contact Veikk. Ty.

Same here. With the latest version (2.0.0.3) doesn't work either.

Just got the veikk A50 and have this exact same problem when sculpting, it also does the same thing when using the 2D animation part as well

Im using blender 2.83a and veikk firmware v2.0.0.3 will contact veikk as well

Veikk tech support conclusion. After ~2 hours of trying to fix driver with teamviewer

Lol im going to return my veikk A50 as they still havnt answerd my email i sent them on friday

Any good suggestions for an alternative that actually works properly with sculpting in blender 2.83a and windows 10 pc?

try to write in to chat on their website. After couple of emails i've been asked to move there.

So i returned my veikk A50 for a refund and bought a Huion HS610 and it works great with blender 2.8 with none of the problems of the viekk A50. Very happy now thanks for help

I've emailed Veikk with my understanding of the problem; it seems like they're fairly responsive and I think the issue should in-principle be simple so hopefully they can fix this. In the meantime I'm going to mark this as closed as I'm confident this is Veikk's issue.

I'll keep this task updated on Veikk's followup.